/*
 * State.java
 *
 * Created on 26. Mai 2006, 16:13
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package java2D1zusatz;

import java.awt.Paint;
import java.awt.Shape;
import java.awt.geom.GeneralPath;

/**
 * Speichert den Zustand der Anwendung, einschlielich aktueller Auswahl
 * von Form, Fllfarbe usw. 
 *
 *
 * @author arnd
 */
public class State {
    private static Paint fillOption=DrawUtils.getInstance().getTextPaint();
    private static Shape shapeOption= DrawUtils.getInstance().getRect(); 
    private static double angle = 0;
    
    private static boolean dithering= false;
    private static boolean antialiasing = false;
    
    public final static int MODE_SELECT = 1;
    public final static int MODE_ADD = 0;
    
    private static int currentMode = MODE_ADD;
    
    private static GeometricObject selectedObject = null;
    
    /** Creates a new instance of State */
    public State() {
    }

    public static Paint getFillOption() {
        return fillOption;
    }
    
    public static void setFillOption(Paint aFillOption) {
        fillOption = aFillOption;
    }

    public static Shape getShapeOption() {
        return shapeOption;
    }

    public static void setShapeOption(Shape aShapeOption) {
        shapeOption = aShapeOption;
    }

    public static boolean isDitheringEnabled() {
        return dithering;
    }

    public static void setDithering(boolean aDithering) {
        dithering = aDithering;
    }

    public static boolean isAntialiasingEnabled() {
        return antialiasing;
    }

    public static void setAntialiasing(boolean aAntialiasing) {
        antialiasing = aAntialiasing;
    }
    
    //Winkel in Grad
    public static void addAngle(double a) {
        angle = angle + a;
    }
    
    public static double getAngle() {
        return angle;
    }

    public static int getCurrentMode() {
        return currentMode;
    }

    public static void setCurrentMode(int cMode) {
        currentMode = cMode;
    }

    public static GeometricObject getSelectedObject() {
        return selectedObject;
    }

    public static void setSelectedObject(GeometricObject aSelectedObject) {
        selectedObject = aSelectedObject;
    }



    
}
